× [JOOMLA 2.5 IS NO LONGER SUPPORTED]
Looking for a useful answer?

Read this first and make sure you checked all steps: www.csvimproved.com/frequently-asked-questions/635-troubleshooting-import-errors

Don't just say it doesn't work but describe in detail what is happening and add the following information:
* VirtueMart version
* CSVI version (Latest is not a version number)
* Sample of the file being imported
* Collected debug information

Without this information you won't get a useful answer. If no debug log is attached, you will get a request to post it.

Where to get the debug information?

A tutorial ( www.csvimproved.com/frequently-asked-questions/390-how-to-collect-debug-information ) has been written to help you collect your debug information.

Import products with it's types to VM/Fast Seller

  • Metiu
  • Topic Author
  • Offline
  • Fresh Boarder
  • Fresh Boarder
More
3 years 3 months ago #47457 by Metiu
Metiu replied the topic: Import products with it's types to VM/Fast Seller
Hi,

I've seen that, but I though that it can't work because of name of the tables..
So today I tried it and Fast Seller stoped working, it cannot find new tables. Then I modified php scripts of fast seller to work with new tables names and that helped. In installation script of Fast Seller there's only part which changes names of the tables from VM 1 (prefix_vm_product_type... ) to new (prefix_fastseller_product_type..).
Of course, my modification will cause problem after updating the fast seller, so I think that It'll be better to update csvi to work with this names of tables.

And at the end.. after reset of tasks, update of available fields I don't have product_sku and product_type_name in fields available in Import=>Cherry Picker Product Types=>Product type names import

After trying to import my usual csv like in previous posts, I get error which says that product_sku and product_type_name are not supported by CSVI.
Attachments:

Please Log in or Create an account to join the conversation.

More
3 years 3 months ago #47463 by rolandd
rolandd replied the topic: Import products with it's types to VM/Fast Seller
Hello,

Using an old system, you must also use an old version of Fast Seller. Old versions of Fast Seller use the virtuemart_product_types tables.

Of course, my modification will cause problem after updating the fast seller, so I think that It'll be better to update csvi to work with this names of tables.

This won't happen for CSVI 5, CSVI 5 is out of support and Joomla 2.5 is not supported anymore either. I don't think it really matters, you just don't have to update Fast Seller or CSVI on this version.

CSVI 6 has full support for the new Fast Seller tables. CSVI 6 only works on Joomla 3 though.

As for the missing fields, seems like you have an issue with loading the custom available field SQL files. This file is not being loaded: administrator\components\com_csvi\install\availablefields\mod_vm_cherry_picker.sql

You can load it manually and change the #__ to your prefix. The fields will then be available.

Kind regards,

RolandD

=========================
If you use CSVI, please post a rating and a review at the Joomla! Extension Directory

Please Log in or Create an account to join the conversation.

  • Metiu
  • Topic Author
  • Offline
  • Fresh Boarder
  • Fresh Boarder
More
3 years 3 months ago #47466 by Metiu
Metiu replied the topic: Import products with it's types to VM/Fast Seller
Hi,

thank you, that worked..

That's pity you don't want to update csvi 5 when someone because of any reason must use older versions of joomla or whatever.. Of course, new version is built on much different code to get better functionality and performance. But this is really little change in your code of older csvi to get it working properly I think.

Thank you.

Please Log in or Create an account to join the conversation.

More
3 years 3 months ago #47471 by rolandd
rolandd replied the topic: Import products with it's types to VM/Fast Seller
Hello,

That's pity you don't want to update csvi 5 when someone because of any reason must use older versions of joomla or whatever

That is what I said, if you must use an older version, use an older version of everything. Don't mix new and old.

But this is really little change in your code of older csvi to get it working properly I think.

It's more a matter of principle, if something is out of support and I start supporting it again, it doesn't make sense. Nobody will know if it is in or out of support. Then another little change here and another little change there. There will be no end :)

At least you got it working, that is the most important part.

Kind regards,

RolandD

=========================
If you use CSVI, please post a rating and a review at the Joomla! Extension Directory

Please Log in or Create an account to join the conversation.